// HPSelectionSet.h : interface of the HPSelectionSet class, derived from HSelectionSet
// adds app-specific overlooading of selection functions to support PK_face, PK_body and
// PK_egde level selection/highlighting

#ifndef _HPSELECTIONSET_H
#define _HPSELECTIONSET_H


#include "HSelectionSet.h"
#include "parasolid_kernel.h"
#include "kernel_interface.h"

class HParaView;


class HPSelectionSet :  public HSelectionSet 
{

private:

	PK_CLASS_t	m_SelectLevel;

public:
	HPSelectionSet();
	~HPSelectionSet();

	// overloaded virtuals
	void Select(long key, char* segpath, long include_key, long includer_key);
    void DeSelect(long key);
    bool IsSelected(long key);	

	// selection level support
	void SetSelectLevel(PK_CLASS_t level) { m_SelectLevel = level; }
	const PK_CLASS_t GetSelectLevel() { return (m_SelectLevel);}
	
};

#endif